<?php
session_start();

// Check if user is not logged in, redirect to login page
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}

// Check if user details are set in session
if (!isset($_SESSION['user_id'], $_SESSION['user_name'], $_SESSION['wallet_balance'], $_SESSION['mobile_number'])) {
    header('Location: enter_mobile.php');
    exit;
}

require_once '/home/cocoeatz/app.cocoeats.co.uk/£SP/vendor/autoload.php';
use Twilio\Rest\Client;

// Twilio credentials
$sid = "AC7b73dbe422b417dbf05ba517f07c77b6";
$token = "0e5fd15bb062f66dce2de4ebe6d85f5f";
$twilio_number = "COCO WALLET"; // Your Twilio phone number

// Create Twilio client
$twilio = new Client($sid, $token);

// Phone number to send the message
$to_number = $_SESSION['mobile_number']; // Update with the recipient's phone number

// Function to generate OTP
function generateOTP() {
    return rand(1000, 9999);
}

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Process the transaction
    $amount = $_POST['amount'];

    // Validate amount
    if (!is_numeric($amount) || $amount <= 0) {
        $error = "Invalid amount. Please enter a valid amount.";
    } elseif ($amount > $_SESSION['wallet_balance']) {
        $error = "You don't have sufficient balance.";
    } else {
        // Generate OTP
        $otp = generateOTP();

        try {
            // Send OTP via SMS
            $message = $twilio->messages->create(
                $to_number,
                array(
                    "from" => $twilio_number,
                    "body" => "Thanks for Ordering from SALTN'PEPPER for £$amount. Verify your Wallet Transaction by OTP : $otp"
                )
            );

            // Store OTP in session for verification
            $_SESSION['otp'] = $otp;
            $_SESSION['transaction_amount'] = $amount;

            // Redirect to OTP verification page
            header('Location: verify_otp.php');
            exit;
        } catch (Exception $e) {
            // Handle Twilio exceptions
            $error = "Error sending OTP: " . $e->getMessage();
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Enter Amount</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #dffff7;
            font-size: 24px;
            margin: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }
        .container {
            width: 400px;
            text-align: center;
        }
        h2 {
            margin-bottom: 10px; /* Reduce margin */
            font-size: 26px; /* Reduce font size */
        }
        .error {
            color: red;
            margin-bottom: 20px;
            font-size: 24px;
        }
        label {
            display: block;
            margin-bottom: 5px; /* Reduce margin */
            font-size: 22px; /* Reduce font size */
        }
        input[type="text"],
        input[type="submit"] {
            width: calc(100% - 30px); /* Set width minus padding and border */
            padding: 15px;
            margin-bottom: 20px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 24px;
            text-decoration: none;
            display: inline-block;
            box-sizing: border-box; /* Include padding and border in the width */
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Add shadow effect */
        }
        input[type="text"] {
            border: 2px solid #ccc;
        }
        input[type="submit"] {
            background-color: #13cd9e;
            color: white;
        }
        .balance-box {
            background-color: #f3ffac; /* Change to yellow */
            padding: 5px;
            border-radius: 5px;
            margin-bottom: 10px; /* Reduce margin */
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Add shadow effect */
        }
        .balance {
            font-size: 24px; /* Keep font size */
            color: black; /* Change to black */
            font-weight: bold;
            margin: 0; /* Remove margin */
        }
        .keypad {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 10px;
            text-align: center;
            margin-bottom: 10px; /* Add a gap between numbers and submit button */
        }
        .keypad button {
            width: 100%;
            padding: 15px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 24px;
            background-color: #ffe868; /* Change to yellow */
            color: black; /* Change to black */
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Add shadow effect */
        }
        .keypad button:hover {
            background-color: #ffffcc; /* Change hover color to lighter yellow */
        }
        .keypad button.clear {
            background-color: #f28d00; /* Change clear button color to orange */
        }
        a {
            display: block;
            margin-top: 20px;
            font-size: 24px;
            text-decoration: none;
            color: white;
            background-color: red; /* Change back button color to red */
            padding: 15px; /* Add padding to back button */
            border-radius: 8px; /* Add border-radius to back button */
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Add shadow effect */
        }
        a:hover {
            background-color: darkred; /* Change back button color on hover */
        }
        .footer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px 0;
            font-size: 18px;
        }
        .logo {
            width: 200px; /* Set width to 100px */
            height: auto; /* Auto height */
            position: absolute; /* Set position to absolute */
            left: 50%; /* Center horizontally */
            transform: translateX(-50%); /* Adjust horizontal centering */
            bottom: -50px; /* Set distance from the bottom */
        }
    </style>
</head>
<body>
<div class="container">
    <?php if (isset($error)) : ?>
        <p class="error"><?php echo $error; ?></p>
    <?php endif; ?>
    <div class="balance-box">
        <p> Name:  <?php echo $_SESSION['user_name']; ?></p>
        <p class="balance">Balance:  £<?php echo isset($_SESSION['wallet_balance']) ? number_format($_SESSION['wallet_balance'], 2) : 'N/A'; ?></p>
    </div>
    <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
        <label for="amount">Amount:</label> <!-- Reduce gap spaces between texts -->
        <input type="text" id="amount" name="amount" pattern="[0-9]*\.?[0-9]*" required><br>
        <div class="keypad">
            <button type="button" onclick="appendToAmount('1')">1</button>
            <button type="button" onclick="appendToAmount('2')">2</button>
            <button type="button" onclick="appendToAmount('3')">3</button>
            <button type="button" onclick="appendToAmount('4')">4</button>
            <button type="button" onclick="appendToAmount('5')">5</button>
            <button type="button" onclick="appendToAmount('6')">6</button>
            <button type="button" onclick="appendToAmount('7')">7</button>
            <button type="button" onclick="appendToAmount('8')">8</button>
            <button type="button" onclick="appendToAmount('9')">9</button>
            <button type="button" onclick="appendToAmount('.')">.</button>
            <button type="button" onclick="appendToAmount('0')">0</button>
            <button type="button" onclick="clearAmount()" class="clear">Clear</button>
        </div>
        <input type="submit" value="Submit">
    </form>
    <a href="enter_mobile.php">BACK</a>
    <img src="logo.png" alt="Company Logo" class="logo">
</div>

<script>
    // JavaScript function to append the clicked number or decimal point to the amount input field
    function appendToAmount(num) {
        document.getElementById('amount').value += num;
    }

    // JavaScript function to clear the amount input field
    function clearAmount() {
        document.getElementById('amount').value = '';
    }

    // Set focus on the amount input field when the page loads
    window.onload = function() {
        document.getElementById('amount').focus();
    };
</script>
</body>
</html>
