<?php
session_start();

// Check if user is not logged in, redirect to login page
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $mobile = $_POST['mobile'];


    // Add +44 prefix if not already present
if (strlen($mobile) == 12) {
    // Extract middle 10 digits if +44 is present
    $middleDigits = substr($mobile, 1, 10); // Skip first letter and extract 10 digits
    $mobile = "+44" . $middleDigits;
}



    // Store the entered mobile number in session
    $_SESSION['mobile_number'] = $mobile;

    // Database connection details
    $dbHost = 'localhost';
    $dbName = 'cocoeatz_app';
    $dbUser = 'cocoeatz_test';
    $dbPassword = 'Msnt@786';

    try {
        // Connect to Database
        $db = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUser, $dbPassword);
        $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Fetch user details from the database
        $query = $db->prepare("SELECT id, f_name, l_name, wallet_balance FROM users WHERE phone = :mobile");
        $query->bindParam(':mobile', $mobile);
        $query->execute();
        $user = $query->fetch(PDO::FETCH_ASSOC);

        // If user exists, store user details in session and redirect to enter_amount.php
        if ($user) {
            $_SESSION['user_id'] = $user['id'];
            $_SESSION['user_name'] = $user['f_name'] . ' ' . $user['l_name'];
            $_SESSION['wallet_balance'] = $user['wallet_balance'];
            header('Location: enter_amount.php');
            exit;
        } else {
            $error = "User not found. Please try again.";
        }
    } catch (PDOException $e) {
        $error = "Database error: " . $e->getMessage();
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Enter Mobile Number</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #e6fff9;
            text-align: center; /* Center align content */
            font-size: 24px; /* Increase font size for all content */
            position: relative; /* Make body position relative for absolute positioning */
        }
        .container {
            width: 400px;
            margin: 100px auto; /* Center container vertically */
            padding-top: 20px;
            position: relative;
        }
        h2 {
            margin-bottom: 20px;
            font-size: 30px;
        }
        .error {
            color: red;
            margin-bottom: 20px;
            font-size: 24px;
        }
        label {
            display: block;
            margin-bottom: 10px;
            font-size: 24px;
        }
        input[type="tel"],
        input[type="submit"] {
            width: 100%;
            padding: 15px;
            margin-bottom: 20px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 24px; /* Inherit font size from parent */
            text-decoration: none; /* Remove underline */
            display: inline-block; /* Prevents full width */
        }
        input[type="tel"] {
            border: 2px solid #ccc;
            box-sizing: border-box;
        }
        input[type="submit"] {
            background-color: #13cd9e;
            color: white;
        }
        .add-money-button {
            background-color: orange; /* Change background color to orange */
            color: white;
            transition: background-color 0.3s; /* Add transition effect */
            position: absolute; /* Set position to absolute */
            top: 500px; /* Distance from the top */
            left: 50%; /* Center horizontally */
            transform: translateX(-50%); /* Adjust horizontal centering */
            padding: 15px; /* Adjust padding */
            border-radius: 8px; /* Adjust border radius */
            cursor: pointer; /* Add cursor pointer */
            text-decoration: none; /* Remove underline */
            font-size: 24px; /* Adjust font size */
        }
        .add-money-button:hover {
            background-color: darkorange; /* Change background color on hover */
        }
        .footer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px 0;
            font-size: 18px;
        }
        .logo {
            width: 140px; /* Set width to 100px */
            height: auto; /* Auto height */
            position: absolute; /* Set position to absolute */
            left: 50%; /* Center horizontally */
            transform: translateX(-50%); /* Adjust horizontal centering */
            bottom: -50px; /* Set distance from the bottom */
        }
    </style>
</head>
<body>
<div class="container">
    <h2>COCO WALLET MONEY</h2>
    <?php if (isset($error)) : ?>
        <p class="error"><?php echo $error; ?></p>
    <?php endif; ?>
    <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
        <label for="mobile">Enter Wallet ID:</label>
       <input type="tel" id="mobile" name="mobile" pattern="%[0-9]{10}\?" required><br><br>
        <input type="submit" value="Submit">
    </form>
    <a href="add_money.php" class="add-money-button">ADD MONEY</a> <!-- Add "ADD MONEY" button -->
    <img src="logo.png" alt="Company Logo" class="logo">
</div>

<script>
    // Set focus on the mobile number input field when the page loads
    window.onload = function() {
        document.getElementById('mobile').focus();
    };
</script>
</body>
</html>

