<?php
session_start();

// Check if user is not logged in, redirect to login page
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}

// Check if user details are set in session
if (!isset($_SESSION['user_id_add'], $_SESSION['user_name_add'], $_SESSION['wallet_balance_add'], $_SESSION['mobile_number_add'])) {
    header('Location: add_money.php');
    exit;
}

require_once '/home/cocoeatz/app.cocoeats.co.uk/£SP/vendor/autoload.php';
use Twilio\Rest\Client;

// Twilio credentials
$sid = "AC7b73dbe422b417dbf05ba517f07c77b6";
$token = "0e5fd15bb062f66dce2de4ebe6d85f5f";
$twilio_number = "COCO WALLET"; // Your Twilio phone number

// Create Twilio client
$twilio = new Client($sid, $token);

// Phone number to send the message
$to_number = "+447776530080"; // Update with the recipient's phone number

// Function to generate OTP
function generateOTP() {
    return rand(1000, 9999);
}

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $amount = $_POST['amount'];

    // Validate amount
    if (!is_numeric($amount) || $amount <= 0) {
        $error = "Invalid amount. Please enter a valid amount.";
    } else {
        // Generate OTP
        $otp = generateOTP();
        $userd = $_SESSION['user_name_add'];
    

        try {
            // Send OTP via SMS
            $message = $twilio->messages->create(
                $to_number,
                array(
                    "from" => $twilio_number,
                    "body" => "Adding £$amount to $userd's wallet. verify transaction by OTP : $otp"
                )
            );
            // Store OTP in session for verification
            $_SESSION['otp'] = $otp;
            $_SESSION['transaction_amount'] = $amount;

            // Redirect to OTP verification page
            header('Location: recharge_verify.php');
            exit;
        } catch (Exception $e) {
            // Handle Twilio exceptions
            $error = "Error sending OTP: " . $e->getMessage();
        }
    }
}
?>

<!DOCTYPE html>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recharge Wallet</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #ffffcc;
            font-size: 18px;
            margin: 0;
            padding: 0;
        }
        .container {
            width: 400px;
            margin: 50px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }
        h2 {
            margin-bottom: 20px;
            font-size: 24px;
            color: #333;
        }
        .error {
            color: red;
            margin-bottom: 20px;
        }
        .balance-box {
            background-color: #f2f2f2;
            padding: 10px;
            border-radius: 5px;
            margin-bottom: 20px;
        }
        .balance {
            font-size: 20px;
            color: #333;
            font-weight: bold;
            margin-bottom: 10px;
        }
        .button-group {
            display: flex;
            justify-content: space-between;
            margin-bottom: 20px;
        }
        .button {
            width: 30%;
            padding: 20px 0;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 18px;
            color: black;
            background-color: #fdd835; /* Yellow */
            transition: background-color 0.3s;
        }
        .button:hover {
            background-color: #fbc02d; /* Darker Yellow */
        }
        .add-money-button {
            display: block;
            top: 500px;
            padding: 15px 0;
            font-size: 18px;
            text-decoration: none;
            color: white;
            background-color: #f44336; /* Red */
            border: none;
            border-radius: 8px;
            width: 80%;
            margin: 30px auto 0; /* Added more top margin */
            transition: background-color 0.3s;
        }
        .add-money-button:hover {
            background-color: #d32f2f; /* Darker Red */
        }
        .footer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px 0;
            font-size: 14px;
        }
         .logo {
            width: 140px; /* Set width to 100px */
            height: auto; /* Auto height */
            position: absolute; /* Set position to absolute */
            left: 50%; /* Center horizontally */
            transform: translateX(-50%); /* Adjust horizontal centering */
            bottom: 200px; /* Set distance from the bottom */
        }
    </style>
</head>
<body>
<div class="container">
    <h2>Name : <?php echo $_SESSION['user_name_add']; ?></h2>
    <?php if (isset($error)) : ?>
        <p class="error"><?php echo $error; ?></p>
    <?php endif; ?>
    <div class="balance-box">
        <h3>Current Wallet Balance:</h3>
        <p class="balance">£<?php echo isset($_SESSION['wallet_balance_add']) ? number_format($_SESSION['wallet_balance_add'], 2) : 'N/A'; ?></p>
    </div>
    <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
        <div class="button-group">
            <button type="submit" class="button" name="amount" value="22">£20</button>
            <button type="submit" class="button" name="amount" value="55">£50</button>
            <button type="submit" class="button" name="amount" value="111">£100</button>
        </div>
    </form>
    <a href="add_money.php" class="add-money-button">BACK</a>
      <img src="logo.png" alt="Company Logo" class="logo">
</div>

</body>
</html>
