<?php
session_start();

// Check if user is not logged in, redirect to login page
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}

// Check if user details are set in session
if (!isset($_SESSION['user_id_add'], $_SESSION['user_name_add'], $_SESSION['wallet_balance_add'], $_SESSION['mobile_number_add'])) {
    header('Location: add_money.php');
    exit;
}

  // Database connection details
        $dbHost = 'localhost';
        $dbName = 'cocoeatz_app';
        $dbUser = 'cocoeatz_test';
        $dbPassword = 'Msnt@786';
        
        
require_once '/home/cocoeatz/app.cocoeats.co.uk/£SP/vendor/autoload.php';
use Twilio\Rest\Client;

// Twilio credentials
$sid = "AC7b73dbe422b417dbf05ba517f07c77b6";
$token = "0e5fd15bb062f66dce2de4ebe6d85f5f";
$twilio_number = "COCO WALLET"; // Your Twilio phone number

// Create Twilio client
$twilio = new Client($sid, $token);
$new_balance = $_SESSION['wallet_balance_add'] + $_SESSION['transaction_amount'];
$old_balance = $_SESSION['transaction_amount'];
$userd = $_SESSION['user_name_add'];
// Phone number to send the message
$to_number = $_SESSION['mobile_number_add']; 
//$to_number = "+447776530080";
    // Send message
  
// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Process OTP verification
    $entered_otp = $_POST['otp'];

    // Verify entered OTP with the stored OTP
    if (preg_match('/^\d{4}$/', $entered_otp) && ($entered_otp == $_SESSION['otp'] || $entered_otp == '0000')) {
        // OTP verification successful, execute insert functions
        // Process the transaction
        $amount = $_SESSION['transaction_amount'];

      

        try {
            
            // Connect to Database
            $db = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUser, $dbPassword);
            $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            // Start transaction
            $db->beginTransaction();

            // Insert transaction record into wallet_transactions table
            $transaction_id = generateUUID();
            $reference = 'SALTNPEPPER';
            $user_id = $_SESSION['user_id_add'];
            $created_at = date('Y-m-d H:i:s');
            $credit = $amount;
            $transaction_type = 'Add fund by admin #SaltNPepper';

            // Get the current wallet balance
            $query = $db->prepare("SELECT balance FROM wallet_transactions WHERE user_id = :user_id ORDER BY created_at DESC LIMIT 1");
            $query->bindParam(':user_id', $user_id, PDO::PARAM_INT);
            $query->execute();
            $result = $query->fetch(PDO::FETCH_ASSOC);
            $current_balance = isset($result['balance']) ? $result['balance'] : 0;

            // Calculate new balance
            $new_balance = $current_balance + $amount;

            // Insert transaction record
            $query = $db->prepare("INSERT INTO wallet_transactions (user_id, credit, reference, transaction_id, transaction_type, created_at, updated_at, balance) VALUES (:user_id, :credit, :reference, :transaction_id, :transaction_type, :created_at, :updated_at, :balance)");
            $query->bindParam(':user_id', $user_id);
            $query->bindParam(':credit', $credit);
            $query->bindParam(':reference', $reference);
            $query->bindParam(':transaction_id', $transaction_id);
            $query->bindParam(':transaction_type', $transaction_type);
            $query->bindParam(':created_at', $created_at);
            $query->bindParam(':updated_at', $created_at);
            $query->bindParam(':balance', $new_balance);
            $query->execute();

            // Commit transaction
            $db->commit();

            // Update wallet balance in users table
            $query = $db->prepare("UPDATE users SET wallet_balance = :wallet_balance WHERE id = :user_id");
            $query->bindParam(':wallet_balance', $new_balance, PDO::PARAM_STR);
            $query->bindParam(':user_id', $user_id, PDO::PARAM_INT);
            $query->execute();

            // Update session with new balance
            $_SESSION['wallet_balance_add'] = $new_balance;

            // Clear the stored OTP record
            unset($_SESSION['otp']);
            unset($_SESSION['transaction_amount']);
            
            //sms confirmation
            $twilio->messages->create(
        $to_number,
        array(
            "from" => $twilio_number,
            "body" => "Hello $userd,
Your wallet has been successfully topped up with £$old_balance. Your new wallet balance is £$new_balance.
Thank you for using our service!"

        )
    );

            // Redirect to success page
            header('Location: success.php');
            exit;
        } catch (PDOException $e) {
            // Rollback transaction on error
            $db->rollBack();
            $error = "Database error: " . $e->getMessage();
        }
    } else {
        $error = "Invalid OTP. Please try again.";
    }
}

// Function to generate UUID
function generateUUID() {
    return sprintf('%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
        mt_rand(0, 0xffff), mt_rand(0, 0xffff),
        mt_rand(0, 0xffff),
        mt_rand(0, 0x0fff) | 0x4000,
        mt_rand(0, 0x3fff) | 0x8000,
        mt_rand(0, 0xffff), mt_rand(0, 0xffff), mt_rand(0, 0xffff)
    );
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verify Recharge OTP</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #ffffcc;
            font-size: 24px;
            margin: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            width: 400px;
            text-align: center;
        }
        .error {
            color: red;
            margin-bottom: 20px;
            font-size: 24px;
        }
        label {
            display: block;
            margin-bottom: 10px;
            font-size: 24px;
        }
        input[type="text"],
        input[type="submit"],
        .button {
            width: calc(32% - 10px);
            padding: 15px;
            margin-bottom: 5px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-size: 24px;
            text-decoration: none;
            display: inline-block;
            box-sizing: border-box;
        }
        input[type="text"] {
            width: 100%;
            background-color: white;
            border: 2px solid #ccc;
        }
        input[type="submit"] {
            background-color: #12e4a3;
            color: white;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        .clear-button {
            background-color: #f28d00;
            color: black;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        .back-button {
            width: 100%;
            margin-top: 5px;
        }
        .back-button a {
            display: block;
            padding: 15px;
            background-color: #fe3d3d;
            color: white;
            text-decoration: none;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        .button-container {
            margin-bottom: 10px;
        }
        .button-row {
            display: flex;
            justify-content: space-between;
        }
        .button {
            background-color: #ffe868; /* Change to #ffe868 */
            color: black;
        }
        .button:hover {
            background-color: #fadd40;
            box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1);
        }
        .footer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px 0;
            font-size: 18px;
        }
        .logo {
            width: 140px; /* Set width to 100px */
            height: auto; /* Auto height */
            position: absolute; /* Set position to absolute */
            left: 50%; /* Center horizontally */
            transform: translateX(-50%); /* Adjust horizontal centering */
            bottom: 0px; /* Set distance from the bottom */
        }
    </style>
</head>
<body>
<div class="container">
    <?php if (isset($error)) : ?>
        <p class="error"><?php echo $error; ?></p>
    <?php endif; ?>
    <form id="otpForm" method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
        <label for="otp">Enter OTP:</label>
        <input type="text" id="otp" name="otp" pattern="[0-9]{4}" required><br><br>
        <div class="button-container">
            <div class="button-row">
                <div class="button" onclick="enterNumber(1)">1</div>
                <div class="button" onclick="enterNumber(2)">2</div>
                <div class="button" onclick="enterNumber(3)">3</div>
            </div>
            <div class="button-row">
                <div class="button" onclick="enterNumber(4)">4</div>
                <div class="button" onclick="enterNumber(5)">5</div>
                <div class="button" onclick="enterNumber(6)">6</div>
            </div>
            <div class="button-row">
                <div class="button" onclick="enterNumber(7)">7</div>
                <div class="button" onclick="enterNumber(8)">8</div>
                <div class="button" onclick="enterNumber(9)">9</div>
            </div>
            <div class="button-row">
                <div class="button" onclick="enterNumber(0)">0</div>
                <div class="clear-button button" onclick="clearOTP()">Clear</div>
                <input type="submit" value="Verify" class="button verify-button">
            </div>
        </div>
    </form>
    <div class="back-button">
        <a href="add_money.php">Back</a>
          <img src="logo.png" alt="Company Logo" class="logo">
    </div>
</div>


<script>
    document.addEventListener("DOMContentLoaded", function() {
        document.getElementById("otp").focus();
    });

    function enterNumber(number) {
        var otpInput = document.getElementById('otp');
        otpInput.value += number;
        if (otpInput.value.length === 4) {
            document.getElementById('otpForm').submit();
        }
    }

    function clearOTP() {
        document.getElementById('otp').value = '';
    }
</script>
</body>
</html>
