<?php
session_start();

// Check if user is not logged in, redirect to login page
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transaction Success</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            font-size: 24px;
        }
        .container {
            width: 400px;
            margin: 100px auto; /* Center container vertically */
            padding-top: 20px;
            text-align: center;
        }
        h2 {
            margin-bottom: 20px;
            font-size: 30px;
        }
        .success {
            color: green;
            margin-bottom: 20px;
            font-size: 24px;
        }
        a {
            display: block;
            margin-top: 20px;
            font-size: 24px;
            text-decoration: none;
            color: #333;
        }
        .footer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px 0;
            font-size: 18px;
        }
        .logo {
            width: 140px; /* Set width to 100px */
            height: auto; /* Auto height */
            position: absolute; /* Set position to absolute */
            left: 50%; /* Center horizontally */
            transform: translateX(-50%); /* Adjust horizontal centering */
            bottom: 0px; /* Set distance from the bottom */
        }
    </style>
</head>
<body>
<div class="container">
    <h2>Transaction Success</h2>
    <p class="success">Your transaction has been successfully verified.</p>
    <a href="enter_mobile.php">Back to Home</a>
    <img src="logo.png" alt="Company Logo" class="logo">
</div>

<script>
    // Automatically reload the page after 10 seconds
    setTimeout(function() {
        window.location.href = "enter_mobile.php";
    }, 3000); // 10 seconds in milliseconds
</script>
</body>
</html>

